/**
* (C) by Andreas Zeman 2007,
* Gally Websolutions, www.websolutions.gally.ch
* CSS only dropdown menu
**/

#menu ul {
	padding:0;
	margin:0;
	list-style-type:none;
	}


#menu li {
	float:left;
	position:relative;
	background-image:url(../img/menu_line_right.gif);
	background-position:right;
	background-repeat:no-repeat;
	height:20px;
	padding:0px 10px 0px 9px; /* ie needs padding here (not in a -> otherwise table needs place) */
	}

/* top level links */
#menu a, #menu a:visited {
	text-align:center;
	font-weight:normal;
	font-size:13px;
	height:20px;
	text-decoration:none;
	color:#fff;
	line-height:20px;
	}
	
/* top level hover */
#menu a:hover {
	background:none; /* necessary for ie6 */
	color:#CEC06A;
	}

#menu :hover > a, #menu ul ul :hover > a {
	background:none; /* necessary for ie6 */
	color:#CEC06A;
	}	

/* 2nd level ------------------------------------------------------------------------------ */
/* hide sublevels */
#menu ul ul {
	visibility:hidden;
	position:absolute;
	top:0px;
	left:-1px;
	padding:20px 0px 10px 0px;
	width:149px;
	
	background:url(foo) fixed;
	}


/* 2nd level visible when top hover */
#menu ul li:hover ul,
#menu ul a:hover ul{
	visibility:visible;
	}


/* 2nd level list */
#menu ul ul li {
	height:19px;
	padding:0px;
	}

/* 2nd level links */
#menu ul ul a, #menu ul ul a:visited {
	text-align:left;
	display:block;
	height:19px;
	background-image:url(../img/submenu_back.gif);
	background-repeat:no-repeat;
	color:#636061;
	line-height:18px;
	padding:0px 10px;
	width:129px;
	}

/* IE5.5 hack */
* html #menu ul ul a, * html #menu ul ul a:visited {
	width:149px;
	w\idth:129px;
	}
	
/* 2nd level hover (heed the order) */
#menu ul ul a:hover {
	background-image:url(../img/submenu_back.gif); /* necessary for ie6 */
	color:#4C60B5;
	}	

/* 2nd level links with 3rd level (place here a optional different bg for 2nd level drop links - do not forget to adapt this optional bg in the related hovers)*/
/*#menu ul ul a.drop, #menu ul ul a.drop:visited {
	}*/

#menu ul ul a.drop:hover {
	background-image:url(../img/submenu_back.gif); /* necessary for ie6 */
	color:#4C60B5;
	}

#menu ul ul :hover > a.drop {
	background-image:url(../img/submenu_back.gif); /* necessary for ie6 */
	color:#4C60B5;
	}	

/* 3rd level ------------------------------------------------------------------------------ */
/* position 3rd level flyout */
#menu ul ul ul{
	position:absolute;
	left:149px;
	top:-21px;
	padding:20px 0px 10px 0px;
	width:149px;
	}
	
/* 3rd level hidden */
#menu ul :hover ul ul{
	visibility:hidden;
	}

/* 3rd level visible when 2nd hover  */
#menu ul :hover ul :hover ul{
	visibility:visible;
	}	

/* position 3rd level flyout left -> damit links nicht über den rand hinausfliegen */
#menu ul ul ul.left {
	left:-149px;
	}

/* 3rd level links */
#menu ul ul ul a, #menu ul ul ul a:visited {
	color:#fb9c9a;
	}

/* 3rd level hover (heed the order) */
#menu ul ul ul a:hover {
	background-image:url(../img/submenu_back.gif); /* necessary for ie6 */
	color:#636061;
	}

/* IE hack ------------------------------------------------------------------------------ */
#menu table {
	position:absolute;
	top:0px;
	left:0px;
	border-collapse:collapse;
	z-index:100;
	}